Bug 134583 - Gallery: Glow effect paints the document yellow
Summary: Gallery: Glow effect paints the document yellow
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected
Depends on:
Blocks:
 
Reported: 2020-07-06 19:45 UTC by Telesto
Modified: 2020-08-31 09:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast (265.57 KB, video/mp4)
2020-08-04 14:00 UTC, Telesto
Details
sample file (18.62 KB, application/vnd.oasis.opendocument.presentation)
2020-08-05 15:16 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-06 19:45:01 UTC
Description:
Insert Gallery Shapes Verticall Sroll causes yellow page

Steps to Reproduce:
1. Open Impress
2. Sidebar -> Gallery
3. Shapes folder -> Verticall Sroll



Actual Results:
Page yellow

Expected Results:
- Only picture
-No type


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: c48e4d795e37f23b71d647247590807ab9e52223
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-07-21 16:12:39 UTC
Not sure what you mean. Please add a screenshot of the problem
Comment 2 Telesto 2020-08-04 14:00:28 UTC
Created attachment 163934 [details]
Screencast
Comment 3 QA Administrators 2020-08-05 04:56:18 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2020-08-05 15:02:06 UTC
LOL, reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 76c40b82e6a44539cd43f326c00246e759449571
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 5 Xisco Faulí 2020-08-05 15:16:31 UTC
Created attachment 163975 [details]
sample file
Comment 6 Xisco Faulí 2020-08-05 15:19:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ebd391767d70903e6a4ea7e213f475af94e183ec

author	Mike Kaganski <mike.kaganski@collabora.com>	2020-05-23 19:54:14 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2020-05-24 07:25:07 +0200
commit	ebd391767d70903e6a4ea7e213f475af94e183ec (patch)
tree	45528ea8619cf1a6786f8158f8f8d957a1c00223
parent	0e5e935deb0527c64865cfcc53a0421e56b74b6f (diff)
tdf#101181: drop useless "GlowEffect" boolean property

Bisected with: bibisect-linux64-7.0

Adding Cc: to Mike Kaganski
Comment 7 Mike Kaganski 2020-08-05 21:08:23 UTC
I don't see how a gallery element created using a pre-aplha LibreOffice with unfinished feature implementation, where author obviously played with the feature, may be considered a regression.

I don't know how galleries are generated in LO. The "Vertical-Scroll" element in question has this:

<style:graphic-properties draw:stroke="solid" ... draw:shadow-color="#ffff00" loext:glow="hidden" loext:glow-radius="25.4cm" loext:glow-color="#ffff00"/>

I can't find this grepping the code for "loext:glow", so likely we use some blobs? So they need fixed (and in the future, not use unstable builds to generate the data to be included in releases).
Comment 8 andreas_k 2020-08-05 21:14:33 UTC
I will have a look into this bug, cause I did the gallery.

I saw in the sidebar that there is a new glow feature but didn't use it (only cause of a mistake maybe).

Thanks for the glow feature I hope I can use it for the gallery items soon. Now that it was working well.
Comment 9 Telesto 2020-08-06 08:04:39 UTC Comment hidden (off-topic)
Comment 10 andreas_k 2020-08-06 12:21:19 UTC
Thanks Telesto, it was my fault so I will fix it asap. It's very easy to fix.
Comment 11 rygle 2020-08-08 05:50:21 UTC
Reproduced in 7.0.0.1 Windows x64 by manually following the steps above.

---

Steps to Reproduce:
1. Open Impress
2. Sidebar -> Gallery
3. Shapes folder -> Vertical Scroll
Comment 12 rygle 2020-08-08 05:51:49 UTC
Sorry, 7.0.0.3
Comment 13 Commit Notification 2020-08-16 09:52:35 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/07608123b9e989667e64b4d7af5b9558c3e1acf5

tdf#134583 remove glow effect from verticall scroll gallery item

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-08-19 15:14:42 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/9c7dd0b7018adad962a235cbcfdddc12d6cda685

tdf#134583 remove glow effect from verticall scroll gallery item

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2020-08-31 09:56:34 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Andreas K, thanks for fixing this issue!!